Subject: bug#9000: patch for higher-resolution time stamps

From: Paul Eggert <[email-masked]>
Date: Sat, 23 Jun 2012 10:57:31 -0700

On 06/23/2012 03:48 AM, Eli Zaretskii wrote:
>   dispnew.c:5960: warning: comparison is always true due to limited range of data type
> ...
> I think any host with a signed 32-bit time_t will see this warning.

I don't observe the problem on either Fedora 15 or Ubuntu 12.04
compiled for x86 (these used signed 32-bit time_t).  I tried both
gcc 4.6.3 and gcc 4.7.1 (which is the latest stable version).

If memory serves, warnings like that occur only with older GCCs and
are harmless, and the GCC folks fixed the bogus warnings after the
gnulib folks complained about them.  Maybe time to upgrade your GCC?